<?php
/**
 * The header section of Sparker.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package shree
 */
	/**
	 * Hook - shree_doctype.
	 *
	 * @hooked shree_doctype_action - 10
	 */
	do_action( 'shree_doctype' );
?>

<head>

<?php
	/**
	 * Hook - shree_head.
	 *
	 * @hooked shree_head_action - 10
	 */
	do_action( 'shree_head' );


	wp_head(); ?>

</head>

<body <?php body_class('at-sticky-sidebar');?>>
	<div class="site_layout">

<?php

	/**
	 * Hook - shree_header_start_wrapper_action.
	 *
	 * @hooked shree_header_start_wrapper - 10
	 */
	do_action( 'shree_header_start_wrapper_action' );


	/**
	 * Hook - shree_skip_link.
	 *
	 * @hooked shree_skip_link_action - 10
	 */
	do_action( 'shree_skip_link_action' );


	/**
	 * Hook - shree_pro_header_types.
	 *
	 * @hooked shree_pro_header_types_home - 10
	 */
	 do_action( 'shree_header_types_home' );

	 /**
	 * Hook - shree_header_slider_action.
	 *
	 * @hooked shree_header_slider_section_action - 10
	 */
	do_action('shree_header_slider_section_action');

	/**
	 * Hook - shree_header_featured.
	 *
	 * @hooked shree_header_featured_action - 10
	 */
	do_action('shree_header_featured_action');

	/**
	 * Hook - shree_header_end_wrapper.
	 *
	 * @hooked shree_header_end_wrapper_action - 10
	 */
	do_action( 'shree_header_end_wrapper_action' );

?>
		